<?php

namespace NextBricks;

class includeElementsJS{
    public function init(){
        //Texts
        if(get_option('next_highlight_enable') == 'true') {
            wp_enqueue_script( 'next_highlight', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_highlight.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_read_more_enable') == 'true') {
            wp_enqueue_script( 'next_read_more', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_read_more.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_dynamic_copyright_enable') == 'true') {
            wp_enqueue_script( 'next_dynamic_copyright', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_dynamic_copyright.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_proximity_hover_enable') == 'true') {
            wp_enqueue_script( 'next_proximity_hover', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_proximity_hover.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_swap_reading_enable') == 'true') {
            wp_enqueue_script( 'next_swap_reading', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_swap_reading.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_variable_font_hover_enable') == 'true') {
            wp_enqueue_script( 'next_variable_font_hover', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_variable_font_hover.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_shading_lines_title_enable') == 'true') {
            wp_enqueue_script( 'next_shading_lines_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_shading_lines_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_exchange_title_v2_enable') == 'true') {
            wp_enqueue_script( 'next_exchange_title_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_exchange_title_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_exchange_title_v3_enable') == 'true') {
            wp_enqueue_script( 'next_exchange_title_v3', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_exchange_title_v3.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('bc_scroll_cascading_enable') == 'true') {
            wp_enqueue_script( 'bc_scroll_cascading', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_scroll_cascading.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_unfold_hover_enable') == 'true') {
            wp_enqueue_script( 'bc_unfold_hover', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_unfold_hover.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_typed_enable') == 'true') {
            wp_enqueue_script( 'bc-typed', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_typed.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc-typedjs', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_typedjs.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_counter_enable') == 'true') {
            wp_enqueue_script( 'bc-counter', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_counter.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc-countup', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_countup.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_twist_title_enable') == 'true') {
            wp_enqueue_script( 'twist_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_twist_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_circular_title_enable') == 'true') {
            wp_enqueue_script( 'circular_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_circular_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_letter_launcher_enable') == 'true') {
            wp_enqueue_script( 'letter_launcher', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_letter_launcher.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_blade_title_enable') == 'true') {
            wp_enqueue_script( 'blade_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_blade_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_swap_title_enable') == 'true') {
            wp_enqueue_script( 'swap_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_swap_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_svg_title_enable') == 'true') {
            wp_enqueue_script( 'svgtitle', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_svg_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_title_images_enable') == 'true') {
            wp_enqueue_script( 'titleimages', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_title_images.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_scroll_reading_enable') == 'true') {
            wp_enqueue_script( 'scrollreading', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_scroll_reading.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_random_letters_enable') == 'true') {
            wp_enqueue_script( 'bcrandomletters', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_random_letters.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_scribble_title_enable') == 'true') {
            wp_enqueue_script( 'scribble_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_scribble_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_3d_swap_title_enable') == 'true') {
            wp_enqueue_script( 'bc_threed_swap_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_3d_swap_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_blended_title_enable') == 'true') {
            wp_enqueue_script( 'bc_blended_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_blended_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_decode_hover_enable') == 'true') {
            wp_enqueue_script( 'bc_decode_hover', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_decode_hover.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_decode_reveal_enable') == 'true') {
            wp_enqueue_script( 'bc-decode-reveal', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_decode_reveal.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_unfold_reveal_enable') == 'true') {
            wp_enqueue_script( 'bc-unfold-reveal', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_unfold_reveal.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_exchange_title_enable') == 'true') {
            wp_enqueue_script( 'bc_exchange_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_exchange_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_scroll_gradient_enable') == 'true') {
            wp_enqueue_script( 'bc_scroll_gradient', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_scroll_gradient.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_fluid_gradient_enable') == 'true') {
            wp_enqueue_script( 'bc_fluid_gradient', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_fluid_gradient_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_mousefill_title_enable') == 'true') {
            wp_enqueue_script( 'bc_mousefill_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_mousefill_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('bc_blur_reading_enable') == 'true') {
            wp_enqueue_script( 'next_blur_reading', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_blur_reading.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('bc_blur_reveal_enable') == 'true') {
            wp_enqueue_script( 'next_blur_reveal', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_blur_reveal.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_pixels_shimmer_card_enable') == 'true') {
            wp_enqueue_script( 'next_pixels_shimmer_card', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_pixels_shimmer_card.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_text_shimmer_enable') == 'true') {
            wp_enqueue_script( 'next_text_shimmer', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_text_shimmer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_countdown_enable') == 'true') {
            wp_enqueue_script( 'next_countdown', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_countdown.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_shiny_button_enable') == 'true') {
            wp_enqueue_script( 'next_shiny_button', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_shiny_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_infinite_slider_enable') == 'true') {
            wp_enqueue_script( 'next_infinite_slider', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_infinite_slider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_focus_nav_enable') == 'true') {
            wp_enqueue_script( 'next_focus_nav', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_focus_nav.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_expanding_nav_enable') == 'true') {
            wp_enqueue_script( 'next_expanding_nav', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_expanding_nav.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_counter_v2_enable') == 'true') {
            wp_enqueue_script( 'next_counter_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_counter_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_dynamic_island_enable') == 'true') {
            wp_enqueue_script( 'next_dynamic_island', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_dynamic_island.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Buttons
        if(get_option('next_arrow_button_v7_enable') == 'true') {
            wp_enqueue_script( 'next-arrow-button-v7', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_arrow_button_v7.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_nudge_button_enable') == 'true') {
            wp_enqueue_script( 'next-nudge-button', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_nudge_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_rainbow_button_enable') == 'true') {
            wp_enqueue_script( 'next_rainbow_button', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_rainbow_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('bc_anyside_button_enable') == 'true') {
            wp_enqueue_script( 'anysidebutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_anyside_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_arrow_button_enable') == 'true') {
            wp_enqueue_script( 'arrowbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_arrow_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_crystal_button_enable') == 'true') {
            wp_enqueue_script( 'crystalbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_crystal_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_layer_button_enable') == 'true') {
            wp_enqueue_script( 'layerbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_layer_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_ripple_button_enable') == 'true') {
            wp_enqueue_script( 'ripplebutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_ripple_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_marquee_button_enable') == 'true') {
            wp_enqueue_script( 'marqueebutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_marquee_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_microbox_button_enable') == 'true') {
            wp_enqueue_script( 'bc-animejs', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_anime.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bcmicroboxbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_microbox_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_glowing_button_enable') == 'true') {
            wp_enqueue_script( 'bcglowingbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_glowing_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_mask_button_enable') == 'true') {
            wp_enqueue_script( 'maskbutton', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_mask_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_split_button_enable') == 'true') {
            wp_enqueue_script( 'bc_split_button', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_split_button.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_arrow_icon_enable') == 'true') {
            wp_enqueue_script( 'next-arrow-icon', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_arrow_icon.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_ripple_button_v2_enable') == 'true') {
            wp_enqueue_script( 'next-ripple-button-v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_ripple_button_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_marquee_button_v2_enable') == 'true') {
            wp_enqueue_script( 'next-marquee-button-v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_marquee_button_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_ripple_button_v3_enable') == 'true') {
            wp_enqueue_script( 'next-ripple-button-v3', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_ripple_button_v3.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Menus
        if(get_option('next_circular_menu_enable') == 'true') {
            wp_enqueue_script( 'nb-circular-menu', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_circular_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('bc_sticky_nav_enable') == 'true') {
            wp_enqueue_script( 'stickynav-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_sticky_nav.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_offcanvas_menu_enable') == 'true') {
            wp_enqueue_script( 'offcanvas-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_offcanvas_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_overlay_menu_enable') == 'true') {
            wp_enqueue_script( 'overlay-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_overlay_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_morphing_menu_enable') == 'true') {
            wp_enqueue_script( 'morphing-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_morphing_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_core_burguer_enable') == 'true') {
            wp_enqueue_script( 'coreburguer', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_core_burguer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_stripe_megamenu_enable') == 'true') {
            wp_enqueue_script( 'stripe-megamenu', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_stripe_megamenu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'jquery-core' );
        }
        
        if(get_option('bc_drawer_enable') == 'true') {
            wp_enqueue_script( 'bc-drawer', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_drawer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_expanding_menu_enable') == 'true') {
            wp_enqueue_script( 'expanding-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_expanding_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_simple_menu_enable') == 'true') {
            wp_enqueue_script( 'simple-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_simple_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_multioffcanvas_enable') == 'true') {
            wp_enqueue_script( 'multioffcanvas-menu-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_multioffcanvas.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_dropdown_enable') == 'true') {
            wp_enqueue_script( 'next-dropdown', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_dropdown.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_dropdown_mega_menu_enable') == 'true') {
            wp_enqueue_script( 'next-dropdown-megamenu', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_dropdown_mega_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_dock_menu_enable') == 'true') {
            wp_enqueue_script( 'next-dock-menu', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_dock_menu.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next-veloxi', NEXTBRICKS_PLUGIN_URL . 'local_assets/next_veloxi.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_cta_nav_enable') == 'true') {
            wp_enqueue_script( 'next-cta-nav', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_cta_nav.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Sliders
        if(get_option('next_stories_enable') == 'true') {
            wp_enqueue_script( 'next_stories', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_stories.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_thumbnail_slider_enable') == 'true') {
            wp_enqueue_script( 'next_thumbnail_slider', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_thumbnail_slider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_infinite_slider_enable') == 'true') {
            wp_enqueue_script( 'next_infinite_slider', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_infinite_slider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('bc_core_slider_enable') == 'true') {
            wp_enqueue_style( 'splide-css', 'https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/css/splide.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'splide-js', 'https://cdn.jsdelivr.net/npm/@splidejs/splide@4.1.4/dist/js/splide.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'splide-autoscroll-js', 'https://cdn.jsdelivr.net/npm/@splidejs/splide-extension-auto-scroll@0.5.3/dist/js/splide-extension-auto-scroll.min.js', array(), false, false);
            wp_enqueue_script( 'coreslider-filejs', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_core_slider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false); 
        }

        if(get_option('next_parallax_slider_enable') == 'true') {
            wp_enqueue_script( 'next_parallax_slider', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_parallax_slider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Backgrounds
        if(get_option('next_crosshair_enable') == 'true') {
            wp_enqueue_script( 'next_crosshair', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_crosshair.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_figures_enable') == 'true') {
            wp_enqueue_script( 'next_figures', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_figures.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            
            // Add module type to script tag - required for ES6 imports
            add_filter('script_loader_tag', function($tag, $handle, $src) {
                if ($handle === 'next_figures') {
                    $tag = '<script type="module" src="' . esc_url($src) . '" id="' . $handle . '"></script>';
                }
                return $tag;
            }, 10, 3);
        }

        if(get_option('next_interactive_lines_v2_enable') == 'true') {
            wp_enqueue_script( 'next_interactive_lines_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_interactive_lines_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_interactive_lines_v3_enable') == 'true') {
            wp_enqueue_script( 'next_interactive_lines_v3', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_interactive_lines_v3.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_interactive_lines_v4_enable') == 'true') {
            wp_enqueue_script( 'next_interactive_lines_v4', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_interactive_lines_v4.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_iridescence_enable') == 'true') {
            wp_enqueue_script( 'next_iridescence', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_iridescence.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_overlay_shadows_enable') == 'true') {
            wp_enqueue_script( 'next_overlay_shadows', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_overlay_shadows.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_scrolling_background_enable') == 'true') {
            wp_enqueue_script( 'next_scrolling_background', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_scrolling_background.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_tiles_v2_enable') == 'true') {
            wp_enqueue_script( 'next_tiles_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_tiles_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_interactive_lines_enable') == 'true') {
            wp_enqueue_script( 'next_interactive_lines', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_interactive_lines.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('bc_grained_enable') == 'true') {
            wp_enqueue_script( 'grained', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_grained.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_gradiently_enable') == 'true') {
            wp_enqueue_script( 'bc_three-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_three.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc_gradiently-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_gradiently.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc_gradiently', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_gradiently.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_spotlight_v2_enable') == 'true') {
            wp_enqueue_script( 'next-spotlight-v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_spotlight_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_physics_enable') == 'true') {
            wp_enqueue_script( 'next_physics', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_physics.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_matterjs_library', NEXTBRICKS_PLUGIN_URL . 'local_assets/next_matterjs_library.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_particles_enable') == 'true') {
            wp_enqueue_script( 'next_particles', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_particles.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_particles_library', NEXTBRICKS_PLUGIN_URL . 'local_assets/next_particles_library.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_bubbles_enable') == 'true') {
            wp_enqueue_script( 'bc-bubbles-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_bubbles.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_tiles_enable') == 'true') {
            wp_enqueue_script( 'next_tiles', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_tiles.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_meteors_enable') == 'true') {
            wp_enqueue_script( 'next_meteors', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_meteors.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_fluids_enable') == 'true') {
            wp_enqueue_script( 'next_fluids', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_fluids.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Cursors
        if(get_option('next_cursor_trail_enable') == 'true') {
            wp_enqueue_script( 'next_cursor_trail', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_cursor_trail.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_mouse_parallax_enable') == 'true') {
            wp_enqueue_script( 'next_mouse_parallax', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_mouse_parallax.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('bc_cursor_enable') == 'true') {
            wp_enqueue_script( 'bc-cursor', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_cursor.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'cursor-css-stylesheet', NEXTBRICKS_PLUGIN_URL . 'local_assets/cursor.min.css', array(), NEXTBRICKS_VERSION, false );
            wp_enqueue_script( 'mouse-follower-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_mouse_follower.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_designer_cursor_enable') == 'true') {
            wp_enqueue_script( 'next_designer_cursor', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_designer_cursor.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_cursor_slide_enable') == 'true') {
            wp_enqueue_script( 'next_cursor_slide', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_cursor_slide.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Medias
        if(get_option('next_beforeafter_image_v2_enable') == 'true') {
            wp_enqueue_script( 'next_beforeafter_image_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_beforeafter_image_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_image_reveal_v2_enable') == 'true') {
            wp_enqueue_script( 'next_image_reveal_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_image_reveal_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_image_reveal_v3_enable') == 'true') {
            wp_enqueue_script( 'next_image_reveal_v3', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_image_reveal_v3.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_image_reveal_v4_enable') == 'true') {
            wp_enqueue_script( 'next_image_reveal_v4', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_image_reveal_v4.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_lightbox_enable') == 'true') {
            wp_enqueue_script( 'next_lightgallery', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightgallery_autoplay', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery-autoplay.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightgallery_fullscreen', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery-fullscreen.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightgallery_thumbnail', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery-thumbnail.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightgallery_rotate', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery-rotate.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightgallery_zoom', NEXTBRICKS_PLUGIN_URL . 'local_assets/lightgallery/lightgallery-zoom.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_lightbox', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_lightbox.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_scrolling_gallery_enable') == 'true') {
            wp_enqueue_script( 'next_scrolling_gallery', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_scrolling_gallery.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_image_accordion_enable') == 'true') {
            wp_enqueue_script( 'next_image_accordion', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_image_accordion.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('bc_parallax_enable') == 'true') {
            wp_enqueue_script( 'parallax', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_parallax.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'parallax-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_simpleparallax.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_beforeafter_image_enable') == 'true') {
            wp_enqueue_script( 'beforeafter-image-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_beforeafter_image.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_zoom_lens_enable') == 'true') {
            wp_enqueue_script( 'bczoomlens', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_zoom_lens.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_video_sequence_enable') == 'true') {
            wp_enqueue_script( 'scrollyvideo-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_scrollyvideo.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'videosequence', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_video_sequence.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_image_hotspots_enable') == 'true') {
            wp_enqueue_script( 'bc-image-hotspots', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_image_hotspots.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_media_enable') == 'true') {
            wp_enqueue_style( 'bc_vidstack-theme-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_vidstack_theme.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'bc_vidstack-video-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_vidstack_video.min.css', array(), NEXTBRICKS_VERSION, false);
        
            wp_enqueue_script( 'bc_vidstack-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_vidstack.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc-media-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_media.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_image_reveal_enable') == 'true') {
            wp_enqueue_script( 'imagereveal', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_image_reveal.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        //Cores
        if(get_option('next_audio_player_enable') == 'true') {
            wp_enqueue_script( 'next_audio_player', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_audio_player.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_looping_tabs_enable') == 'true') {
            wp_enqueue_script( 'next_looping_tabs', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_looping_tabs.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_video_tabs_enable') == 'true') {
            wp_enqueue_script( 'next_video_tabs', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_video_tabs.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_site_loader_enable') == 'true') {
            wp_enqueue_script( 'next_site_loader', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_site_loader.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        if(get_option('next_sticky_footer_enable') == 'true') {
            wp_enqueue_script( 'next_sticky_footer', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_sticky_footer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('bc_scrollbar_enable') == 'true') {
            wp_enqueue_script( 'scrollbar', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_scrollbar.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'scrollbars-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_overlayscrollbars.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'scrollbars-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_overlayscrollbars.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_marquee_enable') == 'true') {
            wp_enqueue_script( 'marquee', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_marquee.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'reeller-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_reeller.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_smooth_scroll_enable') == 'true') {
            wp_enqueue_script( 'bc_lenisjs', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_lenis.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script('bc_scroll_smoother', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_scroll_smoother.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'smooth_scroll', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_smooth_scroll.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_back_to_top_enable') == 'true') {
            wp_enqueue_script( 'back_to_top', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_back_to_top.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_sharer_enable') == 'true') {
            wp_enqueue_script( 'sharer', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_sharer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'sharer-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_sharer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_tippy_enable') == 'true') {
            wp_enqueue_script( 'tippy-brickscore', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_tippy.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'popper-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_popper.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'tippy-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_tippy.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-scale-core', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_scale.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-shift-away-core', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_shiftaway.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-shift-toward-core', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_shifttoward.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-perspective-core', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_perspective.min.css', array(), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_glitchy_enable') == 'true') {
            wp_enqueue_script( 'glitchy', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_glitchy.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'glitchy-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_powerglitch.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_lottie_enable') == 'true') {
            wp_enqueue_script( 'bclottie', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_lottie.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'lottieplayer-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_lottie-player.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'lottieinteractivity-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_lottie-interactivity.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_expander_enable') == 'true') {
            wp_enqueue_script( 'expander', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_expander.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_clickandcopy_enable') == 'true') {
            wp_enqueue_script( 'clickandcopy', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_clickandcopy.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'popper-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_popper.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'tippy-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_tippy.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-scale-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_scale.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-shift-away-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_shiftaway.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-shift-toward-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_shifttoward.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_style( 'tippy-perspective-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/tippy/bc_perspective.min.css', array(), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_3dhover_enable') == 'true') {
            wp_enqueue_style( 'atropos-css', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_atropos.min.css', array(), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'atropos-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_atropos.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( '3dhover-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_3dhover.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_core_tabs_enable') == 'true') {
            wp_enqueue_script( 'bc-core-tabs', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_core_tabs.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_divider_enable') == 'true') {
            wp_enqueue_script( 'bc-divider', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_divider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_flipbox_enable') == 'true') {
            wp_enqueue_script( 'flipbox', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_flipbox.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_observer_enable') == 'true') {
            wp_enqueue_script( 'bc-observer-js', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_observer.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_codepen_enable') == 'true') {
            wp_enqueue_script( 'bc-codepen-script', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_codepen_script.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc-codepen', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_codepen.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_glowingcard_enable') == 'true') {
            wp_enqueue_script( 'bc_glowing_card', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_glowing_card.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_spinner_enable') == 'true') {
            wp_enqueue_script( 'motion-path-plugin-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_motion_path_plugin.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'draw-svg-plugin-js', NEXTBRICKS_PLUGIN_URL . 'local_assets/bc_draw_svg_plugin.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'bc_spinner', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_spinner.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_lamp_enable') == 'true') {
            wp_enqueue_script( 'next-lamp', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_lamp.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_horizontal_scroll_enable') == 'true') {
            wp_enqueue_script( 'next_horizontal_scroll', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_horizontal_scroll.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_timeline_enable') == 'true') {
            wp_enqueue_script( 'next_timeline', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_timeline.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('next_table_of_contents_enable') == 'true') {
            wp_enqueue_script( 'next_table_of_contents', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_table_of_contents.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
        
        if(get_option('bc_infinite_title_enable') == 'true') {
            wp_enqueue_script( 'bc_infinite_title', NEXTBRICKS_PLUGIN_URL . 'elements/js/bc_infinite_title.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_stacking_cards_enable') == 'true') {
            wp_enqueue_script( 'next_stacking_cards', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_stacking_cards.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_qr_code_enable') == 'true') {
            wp_enqueue_script('qr-code-library', 'https://unpkg.com/@bitjson/qr-code@1.0.2/dist/qr-code.js', array(), '1.0.2', true);
            wp_enqueue_script('next_qr_code', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_qr_code.min.js', array('bricks-scripts', 'qr-code-library'), NEXTBRICKS_VERSION, true);
        }

        if(get_option('next_cookies_enable') == 'true') {
            wp_enqueue_script( 'next_cookieconsent', NEXTBRICKS_PLUGIN_URL . 'local_assets/next_cookieconsent.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
            wp_enqueue_script( 'next_cookies', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_cookies.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_interactive_divider_enable') == 'true') {
            wp_enqueue_script( 'next_interactive_divider', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_interactive_divider.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_progress_bar_enable') == 'true') {
            wp_enqueue_script( 'next_progress_bar', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_progress_bar.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_progress_bar_v2_enable') == 'true') {
            wp_enqueue_script( 'next_progress_bar_v2', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_progress_bar_v2.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_decode_card_enable') == 'true') {
            wp_enqueue_script( 'next_decode_card', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_decode_card.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_distorsion_tabs_enable') == 'true') {
            wp_enqueue_script( 'next_distorsion_tabs', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_distorsion_tabs.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_toolteam_enable') == 'true') {
            wp_enqueue_script( 'next_toolteam', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_toolteam.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }

        if(get_option('next_toast_enable') == 'true') {
            wp_enqueue_script( 'next_toast', NEXTBRICKS_PLUGIN_URL . 'elements/js/next_toast.min.js', array('bricks-scripts'), NEXTBRICKS_VERSION, false);
        }
    }
}
